package com.gyee.wisdom.alarm.sharding.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gyee.wisdom.alarm.sharding.entity.AlarmSnap;
import com.gyee.wisdom.alarm.sharding.entity.AlarmUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:Wanghs
 * @date:2020-04-24
 */
@Mapper
public interface AlarmUserMapper   extends BaseMapper<AlarmUser> {

    List<AlarmUser> login(@Param("userName")String userName,@Param("passWord") String passWord);

    List<AlarmUser> getUserByUserName(@Param("userName") String userName);

     List<AlarmUser> getAll();

    int deleteByIds(@Param("id") String id);

}
